/* 
CSS Rules

selector {
    property: value;
}
*/

/* Universal Selector */

* {
    font-family: "Courier New", monospace;
    font-size: 20px;
}

body {
    background-color: skyblue;
}

html {
    scroll-behavior: smooth;
}

/* Navigation bar */

nav {
    background-color: white;
}

/* changes the sttyles when hovered over */
a:hover {
    background-color: #FFFFCC;
}

div {
    display: inline-block;
    float: right;
}

/* Type Selector */
/* tag-name */

h1 {
    color:green; 
    text-align: center;
    font-size: 2rem;
}

/* Landing Seccction */
section {
    height: 100vh;
    text-align: center;
}

h2 {
    font-size: 1.5rem;
}
/* ID Selector */
/* #id-name */

#zuitt-motto {
    letter-spacing: 5px;
}

/* Adjacent sibling selector targeting*/
/*  selector + selector 
    we are targeting the img selector which is 
    an adjacent sibling of h3
*/

h3 + img {
    height: 300px;
    width: 300px;
    border-radius: 150px;
}

/* General Sibling Selector */
/* selectro ~ selector */

h2 ~ a {
    text-decoration: none;
}

/* Registration Section */
form {
    text-align: center;
    background-color: white;
    border: 2px solid black;
    width: 25vw;
    height: 185px;
    position: relative;
    left: 37.25%;
}


/* Child Selector */
/* selector > selector > selector */

body > section > form > label {
    color:red   ;
}

/* Class selector */
/* .class-name */

.offering-item {
    text-transform: uppercase;
}


/* Decendant Selector */
/* selector selector */

#bootcamp-learning-list li {
    color:brown;
    list-style: none;
}

/* Attribute Selector */
/* tagname[attribute] 
    to targer element with an specific attribute    
*/

input[required] {
    border-width: 2px;
    border-style: solid;
    border-color: navy;
    width: 90%;
}

button {
    background-color: #cf0053;
    color: white;
    border: 0;
    border-radius: 15px;
}